Summary:        Return name and handle of a temporary file safely
Name:           perl-File-Temp
Version:        0.2311
Release:        6%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/File-Temp
Source0:        https://cpan.metacpan.org/authors/id/E/ET/ETHER/File-Temp-%{version}.tar.gz

BuildRequires:  coreutils, make, perl-generators, perl-interpreter, perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(:VERSION) >= 5.6, perl(Config), perl(strict), perl(warnings), perl(Carp)
BuildRequires:  perl(constant), perl(Cwd), perl(Errno), perl(Exporter) >= 5.57
BuildRequires:  perl(Fcntl) >= 1.03, perl(File::Path) >= 2.06, perl(File::Spec) >= 0.8
BuildRequires:  perl(IO::Handle), perl(IO::Seekable), perl(overload), perl(parent) >= 0.221
BuildRequires:  perl(POSIX), perl(Scalar::Util), perl(FileHandle), perl(Test::More)
Requires:       perl(POSIX)
BuildArch:      noarch

# we dont need these dependencies
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(Symbol|VMS::Stdio\\)

%description
File::Temp can be used to create and open temporary files in a safe way. 
There is both a function interface and an object-oriented interface. The
File::Temp constructor or the tempfile() function can be used to return
the name and the open filehandle of a temporary file. The tempdir() function
can be used to create a temporary directory.



%prep
%autosetup -n File-Temp-%{version}
chmod -x misc/benchmark.pl
perl -MConfig -p -i -e 's|\A#!/usr/local/bin/perl\b|$Config{startperl}|' \
    misc/benchmark.pl



%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build



%install
%make_install
%{_fixperms} %{buildroot}/*



%check
make test



%files
%license LICENSE
%doc Changes misc README
%{perl_vendorlib}/*
%{_mandir}/man3/*



%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.2311-6
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.2311-5
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Aug 15 2023 Xiaojie Chen <jackxjchen@tencent.com> - 0.2311-4
- Remove perl-libs which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.2311-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.2311-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Aug 18 2022 cunshunxia <cunshunxia@tencent.com> - 0.2311-1
- initial build
